Menu = {}
Menu.Buttons = {}
Menu.timer = 0
Menu.startTimer = false
Menu.startGame = function() Menu.startTimer = true end
Menu.Buttons[1] = Button.new(100,250,"START",Menu.startGame)


function Menu.update(dt)
  love.window.setTitle("Minesweeper!")
  for _,v in ipairs(gridb.particles) do v:update(dt) end
  for i = #Particles, 1, -1 do if Particles[i].die then table.remove(Particles, i) end end 
  
  for _,v in ipairs(Menu.Buttons) do
    v:update(dt)
  end
  
  if(Menu.startTimer) then
    Menu.timer = Menu.timer + dt
    if(Menu.timer>= .5) then
      Menu.timer = 0
      Menu.startTimer = false
      state = "game"
    end
  end
end

function Menu.draw()

  gridb:draw()
  for _,v in ipairs(Menu.Buttons) do
    v:draw()
  end
  love.graphics.setColor(30,30,30)
  love.graphics.print("Minesweeper",100,150)
  love.graphics.print("HIGHSCORE "..Player.highscore,100,400)
end

function Menu.mousepressed(x,y,button)
  for _,v in ipairs(Menu.Buttons) do
    v:mousepressed(x,y,button)
  end
end
